aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTimo Weingärtner <timo@tiwe.de>2013-06-18 00:45:20 +0200
committerTimo Weingärtner <timo@tiwe.de>2013-06-18 00:48:43 +0200
commit6650d5dd2f08c1d2fff9d4c35fce5428da2dd174 (patch)
tree34107382738cd19b48a5a47da037697915b7d326
parent5a20fe397c6ca9818800ad183d603d5d1ab43a9d (diff)
downloadssh-agent-filter-6650d5dd2f08c1d2fff9d4c35fce5428da2dd174.tar.gz
add afssh: wrapper around ssh-agent-filter and ssh
-rwxr-xr-xafssh38
1 files changed, 38 insertions, 0 deletions
diff --git a/afssh b/afssh
new file mode 100755
index 0000000..364187b
--- /dev/null
+++ b/afssh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# Copyright (C) 2013 Timo Weingärtner <timo@tiwe.de>
+#
+# This file is part of ssh-agent-filter.
+#
+# ssh-agent-filter is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# ssh-agent-filter is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ssh-agent-filter. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+declare -a agent_filter_args
+
+while true; do
+ if [[ $1 = "--" ]]; then
+ shift
+ break
+ else
+ agent_filter_args+=("$1")
+ shift
+ fi
+done
+
+eval $(${BASH_SOURCE%/*}/ssh-agent-filter "${agent_filter_args[@]}" || echo exit $?)
+trap 'kill "$SSH_AGENT_PID"' EXIT
+
+ssh -A "$@"